Subject: Re: Comment on draft-showalter-sieve-02.txt

From: "Jack De Winter" <[email-masked]>
Date: Tue, 04 Nov 1997 11:39:19 -0500

>My personal view is that syntax errors should be caught before the
>script is put to work. I am not willing to equal this particular
>situation with avarage execution of command shell scripts.
>These scripts are about to execute in batch mode as part of a
>delivery process.
>An good example is aliases as used by sendmail. The aliases file
>have to be processed before being put into the message dispatch
>process. Syntax errors are reported to the operator. The alias
>lookup mechanism in sendmail does not have to deal with
>syntactical errors.
>Why not apply a similar requirement on filtering?

in the context that you have described, I would agree.  however,
in other contexts, I can see how it would be a hinderance rather
than a help.

regards,
Jack
-------------------------------------------------
Jack De Winter - Wildbear Consulting, Inc.
(519) 884-4498		http://www.wildbear.on.ca/jacks/

---

From: Tim Showalter <[email-masked]>
Date: Tue, 4 Nov 1997 15:31:21 -0500 (EST)

> in other contexts, I can see how it would be a hinderance rather

At best, it's possible to look up syntax errors well before running the
script.  At worst, it's possible to look at errors just milliseconds before
running the script.  All implementations should do this, as getting halfway
into a script and realizing that there's no } on that if is a bad thing.

(This is my problem with require, which effectively mandates an extra
interpretation step to find requires.)

-- 
                                           Tim Showalter [email-masked]